<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-description-heading" jhiTranslate="gestioncvsApp.description.home.createOrEditLabel">Create or edit a Description</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.description.context" for="field_context">Context</label>
                    <input type="text" class="form-control" name="context" id="field_context"
                           formControlName="context"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.description.mission" for="field_mission">Mission</label>
                    <input type="text" class="form-control" name="mission" id="field_mission"
                           formControlName="mission"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.description.environnementTechnique" for="field_environnementTechnique">Environnement Technique</label>
                    <input type="text" class="form-control" name="environnementTechnique" id="field_environnementTechnique"
                           formControlName="environnementTechnique"/>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
